Bug 1469729 - [ganesha] Need to document an extra step of taking backup of ganesha-ha.conf file before doing offline upgrade of nfs-ganesha
[ganesha] Need to document an extra step of taking backup of ganesha-ha.conf ...
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: ---
: RHGS 3.2.0 Async
Assigned To: Bhavana
: ZStream
Depends On:
Blocks: 1472813
  Show dependency treegraph
Reported: 2017-07-11 14:19 EDT by Manisha Saini
Modified: 2017-08-01 06:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-01 06:54:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Manisha Saini 2017-07-11 14:19:31 EDT
Document URL: 


Section Number and Name: 
⁠7.2. Updating the NFS Server
 ->7.2.2. Updating NFS-Ganesha in the Offline Mode

Describe the issue: 
Add an extra step of taking up backup of ganesha-ha.conf file in 1st step-

1.Back up all the volume export files under /etc/ganesha/exports  and ganesha.conf under /etc/ganesha, in a backup directory on all the nodes:

From 3.1 to 3.2-
cp /etc/ganesha/ganesha-ha.conf /backup

From 3.2 to 3.2 Async-
cp /var/run/gluster/shared_storage/nfs-ganesha/ganesha-ha.conf /backup

Suggestions for improvement: 

Additional information:
Comment 3 Manisha Saini 2017-07-31 09:02:58 EDT
Changes looks good to me.Moving this bug to verified state.

Note You need to log in before you can comment on or make changes to this bug.